## org.apache.mahout.vectorizer
Interface Weight

All Known Implementing Classes:
  TF, TFIDF

    public interface Weight

Method Summary
`double` `calculate(int tf, int df, int length, int numDocs)` Experimental

Method Detail

### calculate

    double calculate(int tf,
                     int df,
                     int length,
                     int numDocs)

  Experimental

  Parameters:
    `tf` - term freq
    `df` - doc freq
    `length` - Length of the document
    `numDocs` - the total number of docs
  Returns:
    The weight

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.